## org.exist.xquery
Class TypeTest

    java.lang.Object
      org.exist.xquery.TypeTest

All Implemented Interfaces:
  NodeTest

Direct Known Subclasses:
  NameTest

public class TypeTest
extends java.lang.Object
implements NodeTest

Tests if a node is of a given node type.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`TypeTest(int nodeType)`

Method Summary
`QName` `getName()`
`int` `getType()`
`boolean` `isWildcardTest()`
`boolean` `matches(org.w3c.dom.Node other)`
`boolean` `matches(NodeProxy proxy)`
`void` `setType(int nodeType)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeTest

    public TypeTest(int nodeType)

Method Detail

### setType

    public void setType(int nodeType)

  Specified by:
    `setType` in interface `NodeTest`

### getType

    public int getType()

  Specified by:
    `getType` in interface `NodeTest`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `NodeTest`

### toString

    public java.lang.String toString()

### matches

    public boolean matches(NodeProxy proxy)

  Specified by:
    `matches` in interface `NodeTest`

### matches

    public boolean matches(org.w3c.dom.Node other)

  Specified by:
    `matches` in interface `NodeTest`

### isWildcardTest

    public boolean isWildcardTest()

  Specified by:
    `isWildcardTest` in interface `NodeTest`

Copyright (C) Wolfgang Meier. All rights reserved.